Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1053677 - [Hosted Engine] Unify maintenance flows
Summary: [Hosted Engine] Unify maintenance flows
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-ha
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Greg Padgett
QA Contact: Artyom
URL:
Whiteboard: sla
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-15 15:50 UTC by Greg Padgett
Modified: 2016-06-12 23:16 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.4.0-beta1
Doc Type: Bug Fix
Doc Text:
Previously, maintenance on a hosted engine and an HA-enabled host were completed using separate maintenance flows. A get_local_host_id() method was added to the high availability client API. Now, the maintenance flows are unified.
Clone Of: 1047649
Environment:
Last Closed: 2014-06-09 14:26:44 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0671 normal SHIPPED_LIVE ovirt-hosted-engine-ha bug fix and enhancement update 2014-06-09 18:25:01 UTC
oVirt gerrit 23289 None None None Never

Description Greg Padgett 2014-01-15 15:50:56 UTC
+++ This bug was initially created as a clone of Bug #1047649 +++
(Cloned for submission of a new ha client api needed to properly read local host's ha status from the ha client.)

Description of problem:
Currently hosted engine has its own flows to maintenance the engine VM and another flow to maintenance an HA-enabled host.

These flows should be unified with the existing host maintenance flows.

--- Additional comment from Doron Fediuck on 2014-01-01 09:23:55 EST ---

This BZ was created for the engine side, but another may be needed for VDSM to support HA-maintenance request from the engine.

--- Additional comment from Itamar Heim on 2014-01-12 03:42:42 EST ---

setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.

Comment 1 Greg Padgett 2014-01-27 16:11:57 UTC
Added a get_local_host_id() method to the ha client api.  For testing, if the HA status shows up in webadmin for a host on which it is configured, then this API is working.

Comment 2 Artyom 2014-02-13 10:34:45 UTC
Hi Greg, can you say the best way to verify this bug.
Thanks

Comment 3 Greg Padgett 2014-02-13 15:09:31 UTC
(In reply to Artyom from comment #2)
> Hi Greg, can you say the best way to verify this bug.
> Thanks

Hi Artyom.  Currently, you can check the ovirt-hosted-engine-ha changes by calling the new api with a short python script on a node in the ha cluster.  Something like this would work, and if it returns the host id, then this paticular bug/patch is working:

  import ovirt_hosted_engine_ha.client.client as haClient
  print haClient.HAClient().get_local_host_id()

Once all other patches for this feature are merged (see bug 1047649 and bug 1053040) then this will be testable as part of the overall feature--if the feature works in the engine UI, then this bug/patch works as well.

Comment 4 Artyom 2014-02-13 15:32:37 UTC
Thanks a lot verified on ovirt-hosted-engine-ha-1.1.0-0.1.beta1.el6.noarch

Comment 5 errata-xmlrpc 2014-06-09 14:26:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0671.html


Note You need to log in before you can comment on or make changes to this bug.